function CRemoteTip (settings) {
	var css_file ="ad.css";
	var ad_dir= "";

	var beforeshow = undefined;
	var onshow = undefined;
	var aftershow = undefined;

	var ADTpl = "<div id = \"remote_tips\">"
				+ "<div id=\"tip_context\">"
				+ "<div id=\"ad_button\" onclick=\"\">"
				+ "<span id=\"ad_text\">立即启动</span>"
				+ "<span id=\"countdown\">(10)</span>"
				+ "</div></div></div>";

	var beforehide = undefined;
	var onhide = undefined;
	var afterhide = undefined;

	this.init = function(settings){
		beforeshow = settings.BeforeShow;
		afterhide = settings.AfterExit;
		ad_dir = settings.resdir;
	};

	this.show = function(callback,para1,para2){
		appendCSS();
		reset();
		global.current_board = this;
		if(beforeshow != undefined)
			beforeshow();

		$('body').append(ADTpl);
		remote_tip_count_down(this);

		
		onhide = function() {
			callback(para1,para2);
		};
		$("#ad_button").click(this.hide);
		if(this.aftershow != undefined)
			aftershow();


		function appendCSS() {
			var cssTag = document.getElementById('ad_remotetip');
    		var head = document.getElementsByTagName('head').item(0);
    		if(cssTag) 
    			head.removeChild(cssTag);
    		css = document.createElement('link');
    		css.href = ad_dir+css_file;
    		css.rel = 'stylesheet';
    		css.type = 'text/css';
    		css.id = 'ad_remotetip';
    		head.appendChild(css);
    	};
	};

	this.hide = function(){
		if(beforehide != undefined)
			beforehide();

		clearInterval(remote_tip_interval);
		onhide();
		$("#remote_tips").remove();

		if(afterhide != undefined)
			afterhide();
		if(global.current_board == this) {
			global.current_board = null;
		}
	};

	var reset = function() {
		tictok = 10;
	};

	this.onKey = function(keycode) {
		if(keycode == KEY_ENTER || keycode == KEY_CENTRE ) {
			this.hide();
		}
		return true;
	}
};

var tictok = 10;
var remote_tip_interval = 0;
function remote_tip_count_down(handle){
	clearInterval(remote_tip_interval);
	$('#ad_button').children('#countdown').html("("+tictok+")");
	if(tictok == 0) {
		handle.hide();
	} else {
		tictok--;
		remote_tip_interval = setTimeout(remote_tip_count_down,1000,handle);
	}
};

new CRemoteTip();
