var adMgr = undefined;

function CAdManger() {
	this.mADHandle = {};
	this.setPageAD = function (settings) {
		if(settings == undefined 
			|| settings.name == undefined
			|| settings.resdir == undefined 
			|| settings.files == undefined
			|| settings.files.length == undefined
			|| settings.files.length == 0)
			return false;

		var handle = undefined;
		for(var i=0;i<settings.files.length;i++) {
			handle = loadfile(settings.resdir+settings.files[i]);
		}

		if( handle == undefined
			|| handle.init == undefined || typeof handle.init != 'function'
			|| handle.show == undefined || typeof handle.show != 'function'
			|| handle.hide == undefined || typeof handle.hide != 'function') {
			return false;
		} else {
			handle.init(settings);
			this.push(settings.name,handle);
		}

		function loadfile(filename) {
			try {
				return eval(platform.getJSFile(filename));
			} catch (e) {
				vlog('==weberror==',"AD MODULE LOAD ERROR:"+e.message);
			}
		}

		return handle;
	};

	this.push = function(name,handle) {
		this.mADHandle[name]=handle;
	};

	this.remove = function(name) {
		var res = this.mADHandle[name];
		this.mADHandle[name] = undefined;
		return res;
	};

	this.getHandle = function(name) {
		return this.mADHandle[name];
	};
}

function getADMgr() {
	if(adMgr == undefined)
		adMgr = new CAdManger();

	return adMgr;
}

//
function CDemoAd (settings) {
	//init ad module
	this.init = function(settings){};

	this.beforeshow = undefined;

	this.aftershow = undefined;
	this.show = function(callback){
		if(this.beforeshow != undefined)
			this.beforeshow();

		//todo

		if(this.aftershow != undefined)
			this.aftershow();
	};

	//prehide call
	this.beforehide = undefined
	this.afterhide = undefined
	this.hide = function(){
		if(this.beforehide != undefined)
			this.beforehide();

		//todo

		if(this.afterhide != undefined)
			this.afterhide();
	};

	this.reset = function(){}
}