/**
 * CONFIG 
 * require platform file
 */

var global = {};// global object
global.moveMap = [];// store page move function
global.image_dir = "images/";
global.gamepic_dir = "images/gamepic/";
global.ad_dir='images/gamepic/';
global.file_dir  = "";

global.user_dir = "images/";

global.current_board = undefined;

/**  keycode  **/

var KEY_LEFT = 21;
var KEY_RIGHT = 22;
var KEY_UP = 19;  
var KEY_DOWN = 20;
var KEY_CENTRE = 23; 
var KEY_ENTER = 66;
var KEY_NUM1 = 8;

/** CONFIG **/

CONFIG_IS_LOG = 0;


/** 
/** modify function **/
/** add String Obj startWith Method **/
if(typeof String.prototype.startWith != 'function') {
	String.prototype.startWith = function (str) {
		return this.substring(0,str.length) === str;
	}
}

/** for every class and paticular element, focus remove or focus set function should be rewrite **/
function dynamicCall(funcname)
{
	if(typeof(funcname) == 'string') {
		return eval(funcname);
	} else {
		return funcname();
	}
}
//listen KeyEvent
function listenKey() {
	// in webview disable this funtion	
}

//temp func
function installed(game) {
	JSGameUninstalledCallBack(game);
}

//temp func
function uninstalled(game) {
	JSGameUninstalledCallBack(game);
}

//temp func
function updatefinish(game) {
	JSGameUpdatedCallBack(game);
}

function JSGameDownloadErrorCallBack(game,status) {
	vlog('==weblog==',"JSGameDownloadErrorCallBack:"+game+" in status:"+status);
	$$.PlatformCall(PLATFORM_CALLBACK_TYPE_DOWNLOADERROR,game,status);
}

//temp func
function downloadError(game,status) {
	JSGameDownloadErrorCallBack(game,status);
}

function JSGameDowloadedCallBack(game) {
	vlog('==weblog==',"JSGameDowloadedCallBack:"+game);
	$$.PlatformCall(PLATFORM_CALLBACK_TYPE_DOWNLOADED,game);
}

//temp func
function downloaded(game) {
	JSGameDowloadedCallBack(game);
}

// Log for debug
function vlog(tag,msg){
	if(CONFIG_IS_LOG == 1) {
		platform.output(tag,msg);
	}
}

//get config
function getconfig(config,callback) {
	var web_info = platform.getWebGameHallInfo();
	var web_config = {};
	if(typeof web_info == 'object'
	&& typeof web_info.config == 'object' ) {
		web_config = web_info.config;
	}

	if(config != undefined) {
		web_config = web_config[config];
	}

	if(typeof callback == 'function') {
		callback(web_config);
	} 
	return web_config;
}

//config log
function set_islog(islog) {
	CONFIG_IS_LOG = islog;
}

//ajust the hall display
function adjust_hall() {
	var height = platform.getScreenHeight();
	var width = platform.getScreenWidth();

	vlog('==weblog==',"window height:"+height);
	vlog("==weblog==","window width:"+width);
	var fact_height = 720;
	var fact_width = 1280;

	var zoom_height = height/fact_height;
	var zoom_width = width/fact_width;

	var zoom = zoom_height > zoom_width ? zoom_width : zoom_height ;
	return zoom;
}

$(window).resize(adjust_hall);

$.fx.interval = 45;

window.hallCommonFunc.androidOutput('==weblog==',"config pass");
