/**
 * CONFIG FOR DEBUG 
 */

var global = new Object();// global object
global.moveMap = new Array();// store page move function
global.image_dir = 'images/';
global.gamepic_dir = 'images/gamepic/';
global.ad_dir='images/gamepic/';

global.user_dir = "images/";

var path_arr = window.location.href.split("/");;
var file_dir  = '';
for(var i=0;i<path_arr.length - 1;i++) {
	file_dir = file_dir+path_arr[i]+'/';
}
global.file_dir = file_dir;


/**  keycode  **/

var KEY_LEFT = 37;
var KEY_RIGHT = 39;
var KEY_UP = 38;  
var KEY_DOWN = 40;
var KEY_ENTER = 13; 
var KEY_CENTRE = 13;
var KEY_ESCAPE = 27;
var KEY_BACK = 8;
var KEY_NUM1 = 27;

/** CONFIG **/
CONFIG_IS_LOG = 0;

/** 
/** modify function **/
/** add String Obj startWith Method **/
if(typeof String.prototype.startWith != 'function') {
	String.prototype.startWith = function (str) {
		return this.substring(0,str.length) === str;
	}
}

/** for every class and paticular element, focus remove or focus set function should be rewrite **/
function dynamicCall(funcname)
{
	if(typeof(funcname) == 'string') {
		eval(funcname);
	} else {
		funcname();
	}
}
//listen KeyEvent
//every page should rewrite the grabKey function
function listenKey() {
	if(document.addEventListener) {
		document.addEventListener("keydown",grabKey,false)
	}
	else if (document.attachEvent) {
		document.attachEvent('onkeydown',grabKey);
	}
	else{
		document.onkeydown = grabKey;
	} 
		
}

//Log for debug
function vlog(tag,msg){
	if(CONFIG_IS_LOG == 1) {
		console.log(tag+':'+msg);
	}
}

//get config
function getconfig(config,callback) {
	var web_info = platform.getWebGameHallInfo();
	var web_config = {};
	if(typeof web_info == 'object'
	&& typeof web_info.config == 'object' ) {
		web_config = web_info.config;
	}

	if(config != undefined) {
		web_config = web_config[config];
	}

	if(typeof callback == 'function') {
		callback(web_config);
	} 
	return web_config;
}

//config log
function set_islog(islog) {
	CONFIG_IS_LOG = islog;
}

//ajust the hall display
function adjust_hall() {
	var height = window.innerHeight;
	var width = window.innerWidth;

	var fact_height = 720;
	var fact_width = 1280;

	var zoom_height = height/fact_height;
	var zoom_width = width/fact_width;

	var zoom = zoom_height > zoom_width ? zoom_width : zoom_height ;
	return zoom;
}

$.fx.interval = 13;//for looking good
