
var init_section_index = 0;
var init_sub_index = 0;


var gamepicker_hover_frame;
var console_button_hover_frame;
var head_usercenter_hover_frame;
var common_hover_frame;
var game_console_log_div;

var game_of_page = '';
var gamefavo_of_page;

/** AD Handle **/

function init() {
	// Config Section
	set_focus_performance(getconfig("performance"));
	set_islog(getconfig('islog'));
	set_focus_isblocking(getconfig('focusway'));

	//load language resource
	$$.AutoFillPage();
	// init hover frame
	common_hover_frame = $("#hover_frame").click(focus_frame_onclick);
	register_hover_frame(common_hover_frame);

	game_console_log_div = $("#game_console_log");
	//game_console_log_div.html("");

	init_top();
	game_of_page = getGame();
	$$.SetCurrentGame(game_of_page);

	var hAd = init_ad();
	var usbhAd = init_buyusbad();
	var pvzhAd = init_pvztip();
	// Set GAME CallBack Map
	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_INSTALLED,game_console_applier);
	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_UNINSTALLED,game_console_applier);
	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_UPDATED,game_console_applier);
	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_DOWNLOADERROR,game_console_download_error_applier);
	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_DOWNLOADED,game_console_applier);
	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_UPDATEDOWNLOADED,game_console_applier);
	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_UPDATEERROR,game_console_updatedownload_error_applier);
	$$.SetPlatformSwitchStatusCallBack(game_console_applier);
	if(game_of_page == 'com.trans.pvz') {
		$$.SetTipsDisplayHandle(TIPS_TYPE_REMOTECHECK,pvzhAd);
	} else {
		$$.SetTipsDisplayHandle(TIPS_TYPE_REMOTECHECK,hAd);//tips from ad module
	}
	$$.SetTipsDisplayHandle(TIPS_TYPE_BUYUSBCHECK,usbhAd);
	$$.SetGameDownloadingProcessCallback(game_console_downloading_applier);
	
	$$.SetUpdateGameStatusCallBack(function(game){
		vlog("==weblog==","UpdateGameStatusCallback");
		if(game == game_of_page) {
			$$.GetGameStatus(game_of_page,game_console_applier);
		}
	});

	var json = $$.GetGameLikeList(game_of_page,game_picker_creator);
	var gameinfo_json = $$.GetGameInfo(game_of_page,game_info_applier);
	gamefavo_of_page = $$.GetGameIsFavorite(game_of_page,game_favorite_applier);
	var gameconsole_json = $$.GetGameStatus(game_of_page,game_console_applier);

	var option = {};
	option.scrolltype = SCROLLTYPE_VERTICAL;
	option.row = {};
	option.row.count = 3;
	option.row.top = {type:"all",sec:2,sub:0};
	option.col = {};
	option.col.count = 1;
	option.col.leftedge = {type:"all",sec:0,sub:3};
	option.secindex = 1;
	option.tag = "sidebar_game_collector";
	option.subtag = "sidebar_game_picker";

	var gamelist_map;
	if(!json || !(gamelist_map = gernerateGameListEventMap(json,option))) {
		vlog('==weblog==','Parse GameLikeList Fail');
		return;
	}

	if(gamelist_map.sub.length == 0) {
		page_map[0].sub[3].events.right.sec =2;
		page_map[0].sub[3].events.right.sub =0;

		page_map[2].sub[0].events.down.sec = 0;
		page_map[2].sub[0].events.down.sub = 0;
		page_map[2].sub[0].events.left = {};
		page_map[2].sub[0].events.left.sec = 0;
		page_map[2].sub[0].events.left.sub = 3;
		page_map[2].sub[0].events.left.type = MOVE_TYPE_SECTION_MOVE;
	}

	page_map[1] = gamelist_map;

	// Set Page Move Logical
	init_moveMap(global.moveMap,page_map);
	global.focus = global.moveMap[init_section_index]
						.getFocus(init_sub_index)
						.FirstAppendFocus();
	listenKey();
}

function getGame(){
	var game = $$.GetGamePackageName();

	if(game == undefined)
		game = 'com.trans.mermaid';
	return game;
}

function grabKey(e) {
	e = e || window.event;
    var keycode = e.which ? e.which : e.keyCode;

	if( keycode != KEY_RIGHT && keycode != KEY_LEFT 
		&& keycode !=KEY_UP && keycode != KEY_DOWN 
		&& keycode != KEY_ENTER && keycode != KEY_CENTRE
		&& keycode != KEY_NUM1)
		return;
	
	e.returnValue = false;// set e disable

	if(keycode == KEY_NUM1) {
		if(global.current_board != undefined
			&& global.current_board.onKey(keycode)) {
			return ;
		}
		vlog('==weblog==',"Back page");
		history.go(-1);
	}

	if( keycode == KEY_ENTER || keycode == KEY_CENTRE) {
		var result =  onFocusClick(keycode,global.moveMap,global.focus);
		if(!result && global.current_board != undefined) {
			global.current_board.onKey(keycode);
		}
	}
	
	global.focus = onFocusPressMove(keycode,global.moveMap,global.focus);
}

function game_console_left_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class','').addClass('console_button_focus');
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function game_console_right_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class','').addClass('console_button_focus');
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function game_console_button_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class','').addClass('console_button_focus');
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function head_usercenter_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("head_usercenter_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function sidebar_game_picker_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class','').addClass("game_picker_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function sidebar_game_collector_pageswitch(option,switch_type,callback) {
	var page_container_str = "#sidebar_game_collector2";
	var step_width = 420;

	if( option == undefined ) {
		option = {}
	}
	option.step_width = step_width;
	option = default_pageswitch(option, page_container_str, switch_type,SCROLLTYPE_VERTICAL,callback);

	return option;
}

function game_console_button_sync(JQ_obj,state) {
	default_sync_button_block(console_button_hover_frame,JQ_obj,state,'img');
}

function game_picker_creator (json) {
	var game_pickers_container_tag = '#sidebar_game_collector2';
	var game_picker_tpl = ""
						+"<div class='sidebar_game_picker'>"
						+"<a href=\"javascript:jump2game('{game}');\">"
						+"<img src='"+global.gamepic_dir+"{gamepic}'/>"
						+"</a></div>";

	var context = '';
	$(json).each(function(){
		vlog('==weblog==',"GPC:"+JSON.stringify(this));
		context = context + game_picker_tpl.replace(/{game}/g,this.appname)
											.replace(/{gamepic}/g,this.texture_m);
	});

	var target = $(game_pickers_container_tag);
	if(target.length == 0)
		return false;

	target.html(context);
	return json;
}


function game_info_applier (json) {
	var game_title_tag = '#game_title';
	var game_stars_tag = '#game_stars';
	var game_stars_tpl = "<img src='"+global.image_dir+"{starpic}' />&nbsp;";
	var game_download_count_tag = '#game_download_count';
	var game_online_timestamp_tag = '#game_online_timestamp';
	var game_version_tag = '#game_version';
	var game_type_tag = '#game_type';
	var game_size_tag = '#game_size';
	var game_company_tag = '#game_company';
	var game_remotes_tag = '#game_remotes';

	var game_pic_container_tag = '#game_pic_container2';
	var game_pic_tpl = " <div class='game_pic' ><img src='"+global.gamepic_dir+"{gamepic}'></img></div>";

	var game_desciption_tag = '#main_bottom';// not fitness
	
	//game_title
	$(game_title_tag).html(json.introname);
	//game stars
	var max_stars = 5;
	var star_context = '';
	for(var i = 0;i<max_stars;i++) {
		var star_pic;
		if(i<5/**json.stars**/)
			star_pic = 'icon_star_y.png';
		else
			star_pic = 'icon_star_g.png';

		star_context = star_context+game_stars_tpl.replace(/{starpic}/g,star_pic);
	}

	$(game_stars_tag).html(star_context);

	//game_download_count
	$(game_download_count_tag).html(json.downloadcount);

	//game online timestamp
	var date = new Date(json.time);
	var date_str = "";
	if(!isNaN(date.valueOf())) {
		date_str = date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate();
	}
	$(game_online_timestamp_tag).html(date_str);

	// game version
	if(json.versioncode != undefined) {
		var versioncode = json.versioncode;
		if(typeof versioncode != 'string') {
			versioncode = versioncode + "";
		}
		$(game_version_tag).html(versioncode.substring(0,12));
	}

	// game type
	$(game_type_tag).html(json.type);

	// game size
	$(game_size_tag).html(json.filesize+"M");

	//game company
	$(game_company_tag).html(json.company);

	//game pic
	var gamepic_context = '';
	for(var pic in json.texture_intropic) {
		gamepic_context = gamepic_context + game_pic_tpl.replace(/{gamepic}/g,json.texture_intropic[pic]);
	}
	$(game_pic_container_tag).html(gamepic_context);

	//game description
	var comment = json.comment;
	var description = comment.split('。');
	var description_context = '';
	for (var i = 0;i<3;i++) {// only 3 lines
		if(description[i] != undefined) {
			description_context = description_context 
								+ "<p>" + description[i] +"</p>";
		}
	}
	$(game_desciption_tag).html(description_context);

	//game remotes
	var remote_div_tpl = '<div class="game_remotes_icon" id="{id}"></div>';
	var remotes_div_arr = {
		0:"game_remotes_phone",
		1:"game_remotes_controller",
		2:"game_remotes_remote"
	}
	var remotes = json.support_remote;
	if(remotes == undefined || remotes.length == 0)
		remotes = [2];
	remote_context = ''
	for (var i in remotes) {
		remote_context = remote_context
				+remote_div_tpl.replace(/{id}/g,remotes_div_arr[remotes[i]]);
	}
	$(game_remotes_tag).html(remote_context);
	
}

function game_console_applier(game,flag) {
	if(game == game_of_page ) {
		if(flag != GAME_STATUS_DOWNLOADING
			&& flag != GAME_STATUS_UPDATEDOWNLOADING) {
			game_console_log_div = $("#game_console_log");
			game_console_log_div.html("");
		}

		if(flag == GAME_STATUS_DOWNLOADMD5ERROR) {
			var donwload_md5error_str = $$.GetErrorText("game","MD5ERROR");
			game_console_log_div.html(donwload_md5error_str);
		}

		if(flag ==  GAME_STATUS_UPDATEDOWNLOADMD5ERROR) {
			var update_error_str = $$.GetErrorText("game","UPDATEFAIL");
			game_console_log_div.html(update_error_str);
		}

		var game_console_main_tag = '#game_console_1';
		var game_console_uninstall_tag = '#game_console_4';
		var game_console_func_tpl = 'javascript:onGameConsoleClick({flag});';

		// Map to Game Status in common
		var console_button_img_arr = [
			"btn_download_129.png",//have not download display download 0
			"btn_download_x_129.png",//downloading display cancel download 1
			"btn_install_129.png",//downloaded display install 2
			"btn_start_129.png",//installed display start 3
			"btn_download_129.png",//treat as have not downloaded yet 4
			"btn_update_129.png",//need update 5
			"btn_update_x_129.png",//cancel update 6
			"btn_install_129.png",//install update package
			"btn_start_129.png",//update suceess
			"btn_update_129.png"//treat as have not update yet
		];

		$(game_console_main_tag).children('a').children('img')
			.attr('src',global.image_dir+console_button_img_arr[flag]);

		var game_console_func = game_console_func_tpl.replace(/{flag}/g,flag);
		$(game_console_main_tag).children('a').attr('href',game_console_func);

		if(flag == GAME_STATUS_NEEDUPDATE 
			|| flag == GAME_STATUS_UPDATEDOWNLOADMD5ERROR
			|| flag == GAME_STATUS_INSTALLED) {
			game_uninstall_applier(true);
			var game_uninstall_func = game_console_func_tpl.replace(/{flag}/g,GAME_STATUS_ABLETOUNINSTALL);
			$(game_console_uninstall_tag).children('a').attr('href',game_uninstall_func);	
		} else {
			game_uninstall_applier(false);
			$(game_console_uninstall_tag).children('a').attr('href',"javascript:return false;");
		}
	}
}

// this function need jquery TRNSFR lib suport
var trnsfr_process = {};
function game_console_downloading_applier(process) {
	var files = [100];

	if(!game_console_log_div)
		return false;

	if(game_console_log_div.children('.multi_progress').length == 0 || trnsfr_process.setData == undefined ) {// CHECK IF trnsfrED
		var process_bar_tpl = "<div id='game_console_log_processbar'>"
							+ "</div>"
							+ "<div id='game_console_log_processtext'>0%"
							+ "</div>";
		game_console_log_div.html(process_bar_tpl);
		trnsfr_process = game_console_log_div.children('#game_console_log_processbar').trnsfr(files);
	}

	if(process <100 ) {
		// the jquery TRNSFR extension make process square then display; so make a trick to match it
		var display_process = Math.ceil(process*process/100);
		$("#game_console_log_processtext").html(display_process+"%");
		trnsfr_process.setData(process);
	} else {
		$("#game_console_log_processtext").html(100+"%");
		trnsfr_process.setData(100);
		//game_console_log_div.html("");
	}
}

function game_console_download_error_applier(game,status,error_type) {
	var error_text_arr = $$.GetErrorText('game','DOWNLOAD');
	if(error_text_arr) {
		game_console_log_div.html(error_text_arr[error_type]);
	}
}

function game_console_updatedownload_error_applier(game,status,error_type) {
	var error_text_arr = $$.GetErrorText('game','UPDATE');

	if(error_text_arr) {
		game_console_log_div.html(error_text_arr[error_type]);
	}
}

function game_favorite_applier(favo) {
	var favo_tag = '#game_console_3';
	if(favo) { // if is favo,display unfavo
		$(favo_tag).children('a').attr("href","javascript:unfavo();")
			.children('img').attr('src',global.image_dir+'btn_add_x_129.png');
	} else { // if is unfavo ,display favo
		$(favo_tag).children('a').attr("href","javascript:favo();")
			.children('img').attr('src',global.image_dir+'btn_add_129.png');
	}

	return favo;
}

function game_uninstall_applier(is_able) {
	var uninstall_tag = '#game_console_4';

	if(is_able) {
		$(uninstall_tag).children('a').children('img').attr('src',global.image_dir+"btn_uninstall_129.png");
	} else {
		$(uninstall_tag).children('a').children('img').attr('src',global.image_dir+"btn_uninstall_x_129.png");
	}

	return is_able;
}

function game_remoter_tips_applier(func_to_bind,game,callback) {
	var tips_tpl = "";

	$(document).append(tips_tpl);

	var button_start_tag = '#';
	var button_start = $(button_start_tag);

	button_start.bind('click',{game:game,callback:callback},function(){
		func_to_bind(event.data.game,event.data.callback);
	})
}

/** Console  Button Click Func **/

function onGameConsoleClick(flag) {
	vlog('==weblog==','onGameConsoleClick: '+ flag);
	var game = game_of_page;

	//clear when click coz may drive status change
	game_console_log_div = $("#game_console_log");
	game_console_log_div.html("");

	if(game == 'com.trans.pvz') {
		$$.GameCall(game,flag,game_console_applier,true);
	} else {
		$$.GameCall(game,flag,game_console_applier);
	}
}

function favo() {
	vlog('==weblog==','favo');
	var game = game_of_page;

	gamefavo_of_page = $$.SetGameFavorite(game_of_page,true,game_favorite_applier);
}

function unfavo() {
	vlog("==weblog==",'unfavo');
	var game = game_of_page;

 	gamefavo_of_page = $$.SetGameFavorite(game_of_page,false,game_favorite_applier);
}

/** ad manager **/

function init_ad() {
	var mgr = getADMgr();

	var hAD = mgr.setPageAD({
		name:"remotetip",
		resdir:"ad/",
		files:["gamestart_tip.js"],
		BeforeShow:disable_focus,
		AfterExit:enable_focus
	});

	vlog("==weblog==","ad pass:"+hAD);
	return hAD;
}

function init_buyusbad() {
	var mgr = getADMgr();

	var hAD = mgr.setPageAD({
		name:"buyusbtip",
		resdir:"ad/",
		files:["gamedown_tip.js"],
		BeforeShow:disable_focus,
		AfterExit:enable_focus
	});

	vlog("==weblog==","buyusb ad pass:"+hAD);
	return hAD;
}

function init_pvztip() {
	var mgr = getADMgr();

	var hAD = mgr.setPageAD({
		name:"pvztip",
		resdir:"ad/",
		files:["pvzstart_tip.js"],
		BeforeShow:disable_focus,
		AfterExit:enable_focus
	});

	vlog("==weblog==","pvz ad pass:"+hAD);
	return hAD;
}

function pageUp() {
	global.focus = 
		extCallPageSwitch(global.moveMap
						,global.focus
						,MOVE_TYPE_PAGE_SWITCH_UP
						,1);
}

function pageDown() {
	global.focus = 
		extCallPageSwitch(global.moveMap
						,global.focus
						,MOVE_TYPE_PAGE_SWITCH_DOWN
						,1);
}
