var init_section_index = 0;
var init_sub_index = 0;

var default_focus_sub_arr = [
	2,
	1,
	3,
	4,
	5,
	6
];


var gamepicker_hover_frame;
var sidebar_list_button_hover_frame;
var head_usercenter_hover_frame;
var common_hover_frame;

var gamelist_of_page;//gamelist type of page

function init() {
	// Config Section
	set_focus_performance(getconfig("performance"));
	set_islog(getconfig('islog'));
	set_focus_isblocking(getconfig('focusway'));

	//load language resource
	$$.AutoFillPage();
	// init hover frame
	common_hover_frame = $("#hover_frame").click(focus_frame_onclick);
	register_hover_frame(common_hover_frame);

	init_top();
	init_sidebar();

	gamelist_of_page = getGameListType();
	

	appendSidebarSelected(gamelist_of_page);	

	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_INSTALLED,function() {
		vlog('==weblog==','game installed,reload page');
		location.reload();
	});

	if(gamelist_of_page == undefined)
		gamelist_of_page = LIST_TYPE_ALL;
	var json = $$.GetGamelistGamePickerList(gamelist_of_page,game_pickers_creater);
	var option = {};
	option.row = {};
	option.row.count = 3;
	option.row.top = {type:"all",sec:2,sub:0};
	option.col = {};
	option.col.count = 5;
	option.col.leftedge = {type:"all",sec:0,sub:0};
	option.secindex = 1;
	option.tag = "game_collector";
	option.subtag = "game_picker";

	var gamelist_map;
	if (!json || !(gamelist_map = gernerateGameListEventMap(json,option))){
		vlog('==weblog==','Parse GameList Fail');
		return;
	}

	if(gamelist_map.sub.length == 0) {// SET IF No Game Page Logical
		for(var i = 0;i<page_map[0].sub.length;i++) {
			page_map[0].sub[i].events.right.sec=2;
		}
		page_map[2].sub[0].events.down.sec=0;
		var left_event = {};
		left_event.type = MOVE_TYPE_SECTION_MOVE;
		left_event.sec = 0;
		left_event.sub = 0;
		page_map[2].sub[0].events.left=left_event;
	}
	page_map[1] = gamelist_map;

	init_sub_index = default_focus_sub_arr[gamelist_of_page];

	init_moveMap(global.moveMap,page_map);

	var sidebar_arr_idtag = [
        "#sidebar_all",//LIST_TYPE_ALL
        "#sidebar_favo",//LIST_TYPE_FAVO
        "#sidebar_motion",//LIST_TYPE_MOTION
        "#sidebar_leisure",//LIST_TYPE_LEISURE
        "#sidebar_puzzle",//LIST_TYPE_PUZZLE
        "#sidebar_other"//LIST_TYPE_OTHER
    ];

	var select_tag = sidebar_arr_idtag[gamelist_of_page];
	global.focus = get_target_through_jquery_object($(select_tag)).FirstAppendFocus();
	//global.focus = global.moveMap[init_section_index]
						//.getFocus(init_sub_index)
						//.FirstAppendFocus();
	listenKey();
}

function getGameListType() {
	var list_type = $$.GetGamelistType();

	if(list_type == undefined) {
		
		 list_type = LIST_TYPE_ALL;
	}
	
	return list_type;
}

function grabKey(e) {
	e = e || window.event;
    var keycode = e.which ? e.which : e.keyCode;

	if( keycode != KEY_RIGHT && keycode != KEY_LEFT 
		&& keycode !=KEY_UP && keycode != KEY_DOWN 
		&& keycode != KEY_ENTER && keycode != KEY_CENTRE
		&& keycode != KEY_NUM1)
		return;
	
	e.returnValue = false;// set e disable

	if(dialogMgr.capture(keycode)) {
		return true;
	}

	if(keycode == KEY_NUM1) {
		vlog('==weblog==',"Exit Hall");
		$$.ExitGameHall();
		return true;
	}

	if( keycode == KEY_ENTER || keycode == KEY_CENTRE){

		return onFocusClick(keycode,global.moveMap,global.focus);
	}
	
	global.focus = onFocusPressMove(keycode,global.moveMap,global.focus);
}

function sidebar_list_button_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("sidebar_list_button_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function game_picker_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("game_picker_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function head_usercenter_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("head_usercenter_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function game_collector_pageswitch(option,switch_type,callback) {
	vlog('==weblog==',"Current Page:"+ option.current_page);

	var page_container_str = '#game_picker_container';
	var step_width = 860;

	game_collector_pager_append(option.current_page);

	//switch page

	if( option == undefined ) {
		option = {}
	}
	option.step_width = step_width;
	option = default_pageswitch(option,page_container_str,switch_type,SCROLLTYPE_HORIZONTAL,callback);

	return option;
}

function game_collector_pager_append(c_page) {
	//page index change
	var index_container_tag = '#collector_pager_index';
	var index_tag = 'img';
	var game_pager_index_img = global.image_dir+"dot_01.png";//for not current page
	var game_pager_index_img2 = global.image_dir+"dot_02.png";//for current page

	var page_index_ele_arr = $(index_container_tag).children(index_tag).toArray();

	for(var i = 0;i<page_index_ele_arr.length;i++) {
		if(i == c_page) {
			$(page_index_ele_arr[i]).attr('src',game_pager_index_img2);
		} else {
			$(page_index_ele_arr[i]).attr('src',game_pager_index_img);
		}
	}	
}

function game_pickers_creater(json) {
	var item_perpage = 15;// Set Item Per Page 

	var game_pickers_container_tag = '#game_picker_container';
	var game_picker_container_tpl = ""
								+ "<div class='game_picker_subcontainer'>"
								+ "{context}"
								+ "</div>";

	var game_picker_tpl ="" 
						+"<div class='game_picker'>"
						+"<a href=\"javascript:jump2game('{game}');\">"
						+"<img class='game_picker_img' src='"+global.gamepic_dir+"{gamepic}' />"
						+"</a></div>";

	var game_pager_container_tag = '#game_collector_pager';
	var game_pager_index_container_tag = '#collector_pager_index';
	var game_pager_index_img = global.image_dir+"dot_01.png";//for not current page
	var game_pager_index_img2 = global.image_dir+"dot_02.png";//for current page
	var game_pager_index_tpl = "<img src='{image}' />";

	//no content display
	var nocontent_text = $$.GetText('gamelist','NOCONTENT');
	var game_pager_no_context_tpl = "<div id='no_content'><p>"+nocontent_text+"</p></div>"

	var context = '';
	var subcontext = '';
	var pagercontext = '';

	var flag = 0;// flag for item count
	var page_count = 0;//count for total page

	var target = $(game_pickers_container_tag);
	if(target.length == 0)
		return false;

	// add empty context default display

	if(json.length == 0) {
		context = game_pager_no_context_tpl;
		var pager_target = $(game_pager_container_tag);
		if(pager_target.length == 0)
			return json;
		pager_target.html('');
	} else {
		$(json).each(function(){
			flag = flag + 1;
			var picker_context = game_picker_tpl.replace(/{game}/g,this.appname)
										.replace(/{gamepic}/g,this.texture)
										.replace(/{gametitle}/g,this.introname);

			picker_context = update_icon_applier(this.appname,picker_context);

			subcontext = subcontext + picker_context;
			if(flag == item_perpage) {
				context = context + game_picker_container_tpl.replace(/{context}/g,subcontext);
				subcontext = '';

				flag = 0;
			}

			if(flag == 1){
				pagercontext = pagercontext 
					+ game_pager_index_tpl.replace(/{image}/g,game_pager_index_img);
				page_count++;
			}
		});

		if(subcontext != '')
				context = context + game_picker_container_tpl.replace(/{context}/g,subcontext);

		var pager_target = $(game_pager_container_tag);
		if(pager_target.length == 0)
			return json;
		else if(page_count == 1) {// if only one page display none
			pager_target.html('');
		} else {
			var index_target = $(game_pager_index_container_tag);
			index_target.html(pagercontext);
		}
	}
	target.html(context);

	game_collector_pager_append(0);
	return json;
}

function appendSidebarSelected(list_type) {
	var sidebar_arr_idtag = [
		"#sidebar_all",//LIST_TYPE_ALL
		"#sidebar_favo",//LIST_TYPE_FAVO
		"#sidebar_motion",//LIST_TYPE_MOTION
		"#sidebar_leisure",//LIST_TYPE_LEISURE
		"#sidebar_puzzle",//LIST_TYPE_PUZZLE
		"#sidebar_other"//LIST_TYPE_OTHER
	];


	var target = $(sidebar_arr_idtag[list_type]);
	target.addClass("selected");

	//var src = target.attr('src');

	//target.attr('src',appendSuffix(src,image_png_suffix,selected_suffix));
}

//return html stream
function update_icon_applier(game,context){
	var update_icon_tpl = "<div class='game_tag_update'></div>";
	var installed_icon_tpl = "<div class='game_tag_installed'></div>";

	var status = $$.GetGameStatus(game,function(game,result){return result;});

	if(status == GAME_STATUS_NEEDUPDATE) {
		var temp_contain = $(context);
		temp_contain.append(update_icon_tpl);

		return temp_contain.wrap("<div>").parent().html();
	} else if(status == GAME_STATUS_UPDATED || status == GAME_STATUS_INSTALLED) {
		var temp_contain = $(context);
		temp_contain.append(installed_icon_tpl);

		return temp_contain.wrap("<div>").parent().html();
	}else {
		return context;
	}
}

//page up & down
function pageUp() {
	global.focus = 
		extCallPageSwitch(global.moveMap
						,global.focus
						,MOVE_TYPE_PAGE_SWITCH_UP
						,1);
}

function pageDown() {
	global.focus = 
		extCallPageSwitch(global.moveMap
						,global.focus
						,MOVE_TYPE_PAGE_SWITCH_DOWN
						,1);
}
