var init_section_index = 0;
var init_sub_index = 0;

var common_hover_frame;

function init() {
	// Config Section
	set_focus_performance(getconfig("performance"));
	set_islog(getconfig('islog'));
	set_focus_isblocking(getconfig('focusway'));

	//load language resource
	$$.AutoFillPage();
	// init hover frame
	common_hover_frame = $("#hover_frame").click(focus_frame_onclick);
	register_hover_frame(common_hover_frame);

	init_top();
	init_sidebar();

	//set index button selected
	$("#sidebar_index").addClass('selected');

	$$.GetIndexGamePickerList(game_pickers_creater);
	$$.GetIndexBannerInfo(ad_banner_creater);

	$$.SetPlatformCallBack(PLATFORM_CALLBACK_TYPE_INSTALLED,function() {
		vlog('==weblog==','game installed,reload page');
		location.reload();
	});

	init_moveMap(global.moveMap,page_map);
	global.focus = global.moveMap[init_section_index]
						.getFocus(init_sub_index)
						.FirstAppendFocus();
	listenKey();
}


function grabKey(e) {
	e = e || window.event;
    var keycode = e.which ? e.which : e.keyCode;
	if( keycode != KEY_RIGHT && keycode != KEY_LEFT 
		&& keycode !=KEY_UP && keycode != KEY_DOWN 
		&& keycode != KEY_ENTER && keycode != KEY_CENTRE
		&& keycode != KEY_NUM1)
		return;
	
	e.returnValue = false;// set e disable

	if(dialogMgr.capture(keycode)) {
		return true;
	}


	if(keycode == KEY_NUM1) {
		vlog('==weblog==',"Exit Hall");
		$$.ExitGameHall();
		return true;
	}
	
	
	if( keycode == KEY_ENTER || keycode == KEY_CENTRE)
		return onFocusClick(keycode,global.moveMap,global.focus);
	
	global.focus = onFocusPressMove(keycode,global.moveMap,global.focus);
}

function sidebar_list_button_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("sidebar_list_button_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function game_picker_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("game_picker_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}


function banner_left_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("banner_left_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function banner_right_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("banner_right_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}


function head_usercenter_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("head_usercenter_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function game_pickers_creater(json) {
	
	vlog("==weblog==","GPC means Game Picker Create");

	var hot_type = 'hot';
	var new_type = 'new';
	//hot and new each contains 5 items
	var hot_arr = new Array(5);
	var new_arr = new Array(5);

	var hot_count = 0;
	var new_count = 0;

	// coz page design make that can only put 10 items in page
	var game_pickers_disablecount = game_pickers_max_length = 10;

	var game_pickers_container_tag = '#game_collector';
	var context = '';
	
	for(var i = 0;i<json.length;i++) {
		
		
		if (json[i].appname == 'empty') {
			continue;
		}

		if(json[i].listtype == undefined) {
			
			if(new_count < new_arr.length) {
				new_arr[new_count] = json[i];
				new_count++;
				
				
			} else if( hot_count < hot_arr.length) {
				hot_arr[hot_count] = json[i];
				hot_count++;
		
			} else {
				//both hot & new array have been filled up
				break;
			}
		} else if(json[i].listtype == hot_type) {
			if(hot_count < hot_arr.length) {
				hot_arr[hot_count] = json[i];
				hot_count++;
			}
		} else if(json[i].listtype == new_type) {
			if(new_count < new_arr.length) {
				new_arr[new_count] = json[i];
				new_count++;
			}
		}

		if(i ==  game_pickers_max_length)
			break;
/**
		context = context + game_picker_tpl.replace(/{game}/g,json[i].appname)
							.replace(/{gamepic}/g,json[i].texture)
							.replace(/{gametitle}/g,json[i].introname);

		game_pickers_disablecount--;// every abled game picker cut down one picker which disabled
**/
	}
/**
	for(var i = 0;i<game_pickers_disablecount;i++) {
		context = context + game_picker_disable_tpl;
	}
**/

	var new_context = newgame_pickers_context_creater(new_arr);
	var hot_context = hotgame_pickers_context_creater(hot_arr);
	var target = $(game_pickers_container_tag);
	if(target.length == 0)
		return false;
	
	//vlog("==weblog==","GPC:"+json);
	context = new_context + hot_context;
	
	target.html(context);
	//alert(JSON.stringify(json));
	return json;
}

function newgame_pickers_context_creater(json) {
	//alert(JSON.stringify(json));
	var game_picker_tpl = ""
						+ "<div class='game_picker'>"
						+ "<a href=\"javascript:jump2game('{game}');\">"
						+ "<img class='game_picker_img' src='"+global.gamepic_dir+"{gamepic}' />"
						+ "<p class='game_picker_p'>{gametitle}</p>"
						+ "</a>"
						+ "<div class='game_tag_new'></div>"
						+ "</div>";

	var game_picker_disable_icon_src='icon_none.png';
	var game_picker_disable_tpl = ""
						+"<div class ='game_picker game_picker_disable'>"
						+"<img class='game_picker_img' src='"+global.image_dir+game_picker_disable_icon_src+"' />"
						+"<p class='game_picker_p game_picker_disable_p'>敬请期待</p>"
						+"</div>";

	var context = "";
	for(var i=0;i<json.length;i++) {
		if(json[i] == undefined) {
			context = context + game_picker_disable_tpl;
		} else {
			picker_context = game_picker_tpl.replace(/{game}/g,json[i].appname)
							.replace(/{gamepic}/g,json[i].texture)
							.replace(/{gametitle}/g,json[i].introname);
			
	
			picker_context = update_icon_applier(json[i].appname,picker_context);
			context = context + picker_context;
			
		}
	}

	return context;
}

function hotgame_pickers_context_creater(json) {
	var game_picker_tpl ="" 
						+"<div class='game_picker'>"
						+"<a href=\"javascript:jump2game('{game}');\">"
						+"<img class='game_picker_img' src='"+global.gamepic_dir+"{gamepic}' />"
						+ "<p class='game_picker_p'>{gametitle}</p>"
						+"</a>"
						+"<div class='game_tag_hot'></div>"
						+"</div>";
	var game_picker_disable_icon_src='icon_none.png';
	var game_picker_disable_tpl = ""
						+"<div class ='game_picker game_picker_disable'>"
						+"<img class='game_picker_img' src='"+global.image_dir+game_picker_disable_icon_src+"' />"
						+"<p class='game_picker_p game_picker_disable_p'>敬请期待</p>"
						+"</div>";

	var context = "";

	for(var i=0;i<json.length;i++) {
		if(json[i] == undefined) {
			context = context + game_picker_disable_tpl;
		} else {
			var picker_context = game_picker_tpl.replace(/{game}/g,json[i].appname)
							.replace(/{gamepic}/g,json[i].texture)
							.replace(/{gametitle}/g,json[i].introname);

			
			picker_context = update_icon_applier(json[i].appname,picker_context);
			

			context = context + picker_context;
		}
	}

	return context;

}

function ad_banner_creater(json) {

	var banner_tag ="#banner";
	var big_banner_tpl = "<div id=banner_left>"
						+ "<a href=\"javascript:jump2game('{link}');\" >"
						+ "<img src=\""+global.ad_dir+"{image}\" />"
						+ "</a></div>";
	var small_banner_tpl = "<div id=banner_right>"
						+ "<a href=\"javascript:jump2game('{link}');\" >"
						+ "<img src=\""+global.ad_dir+"{image}\" />"
						+ "</a></div>";

	if(json == undefined) 
		return false;


	var target = $(banner_tag);

	if(target.length == 0)
		return false;

	var context = "";

	context = context + big_banner_tpl.replace(/{link}/g,json[0].link)
										.replace(/{image}/g,json[0].texture);

	context = context + small_banner_tpl.replace(/{link}/g,json[1].link)
										.replace(/{image}/g,json[1].texture);

	target.html(context);
	return json;
}


//return html stream
function update_icon_applier(game,context){ 
	var update_icon_tpl = "<div class='game_tag_update'></div>";
	var installed_icon_tpl = "<div class='game_tag_installed'></div>";

	var status = $$.GetGameStatus(game,function(game,result){return result;});
	
	if(status == GAME_STATUS_NEEDUPDATE) {
		
		var temp_contain = $(context);
		temp_contain.append(update_icon_tpl);

		return temp_contain.wrap("<div>").parent().html();
	} else if(status == GAME_STATUS_UPDATED || status == GAME_STATUS_INSTALLED) {

		var temp_contain = $(context);

		
	
		temp_contain.append(installed_icon_tpl);
	

		return temp_contain.wrap("<div>").parent().html();
	}else {
		return context;
	}
}
