function updateSDCard (json) {
	var sdcard_tag = '#head_sdcard';

	var target = $(sdcard_tag);
	if(target.length == 0) {
		return false;
	}

	if(json == true) {
		target.removeClass("head_sdcard_off").addClass("head_sdcard_on");
	} else {
		target.removeClass("head_sdcard_on").addClass("head_sdcard_off");
	}
	return true;
}

function updateInternet (json) {
	var internet_tag = '#head_wifi';

	var target = $(internet_tag);
	if(target.length == 0) {
		return false;
	}

	if(json == true) {
		target.removeClass("head_wifi_off").addClass("head_wifi_on");
	} else {
		target.removeClass("head_wifi_on").addClass("head_wifi_off");
	}
	return true;
}

function updatePhoneRemoteStatus(json) {
	var phone_tag = "#head_phone";

	var target = $(phone_tag);
	if(target.length == 0) {
		return false;
	}

	if(json == true) {
		target.removeClass("head_phone_off").addClass("head_phone_on");
	} else {
		target.removeClass("head_phone_on").addClass("head_phone_off");
	}
	return true;
}

function updateRemoteStatus(json) {
	var remote_tag = '#head_remote';
	var target = $(remote_tag);

	if(target.length == 0) {
		return false;
	}

	if(json == true) {
		target.removeClass("head_remote_off").addClass("head_remote_on");
	} else {
		target.removeClass("head_remote_on").addClass("head_remote_off");
	}
	return true;
}

function init_user() {
	USER.GetDeviceID();
}

function init_top() {
	$$.GetSDCardStatus(updateSDCard);
	$$.GetInternetConnectionStatus(updateInternet);
	$$.GetPhoneRemoteStatus(updatePhoneRemoteStatus);
	$$.GetRemoteStatus(updateRemoteStatus);

	$$.SetInternetStatusChangeCallBack(updateInternet);
	$$.SetExternalStorageStatusChangeCallBack(updateSDCard);
}
