//flag for sroll
var SCROLL_LEFT = 0;
var SCROLL_RIGHT = 1;
var SCROLL_UP = 2;
var SCROLL_DOWN = 3;

jQuery.extend({
	Scroll:function(settings) {
		var config = $.extend({
			speed:500,
			pause:500,
			stepWidth:100,
			scroll_direction:0,//SCROLL_LEFT
			auto_scroll:true,
			max_loop:-1,
			inner:"",
			inner_ele:"",
			left:"",
			right:"",
			up:"",
			down:""
		},settings);
		isInfinite = false;
		if(config.max_loop == -1 ) {
			var first_ele = $(config.inner).children('div').children(config.inner_ele+":first-child").clone();//clone to fix nothing changed
			$(config.inner).children('div').append(first_ele);
			loop = max_loop =  $(config.inner).children('div').children().length-1;
			isInfinite = true;
		} else  {
			loop = max_loop = config.max_loop;
		}
		
		origin_css_left = parseInt($(config.inner).children('div').css('left'));
		origin_css_top = parseInt($(config.inner).children('div').css('top'));

		isRun = false;
		if(config.max_loop!=0 && config.auto_scroll) {
			isRun = true;
			flag = setInterval(AutoScroll,parseInt(config.pause));
		}
			
		function AutoScroll() {
			clearInterval(flag);
			var css_left = parseInt($(config.inner).children('div').css('left'));
			var css_top = parseInt($(config.inner).children('div').css('top'));
			var zoom = $('body').css('zoom');
			css_left = css_left/zoom;
			css_top = css_top/zoom;
			
			var scroll_direction = config.scroll_direction;

			if(scroll_direction == SCROLL_LEFT)
				css_left = css_left-config.stepWidth;
			else if(scroll_direction == SCROLL_RIGHT)
				css_left = css_left+config.stepWidth;
			else if (scroll_direction == SCROLL_UP)
				css_top = css_top-config.stepWidth;
			else if (scroll_direction == SCROLL_DOWN)
				css_top = css_top+config.stepWidth;

			var ani_speed = parseInt(config.speed);

			if(isRun) {
				$(config.inner).children('div').animate({left:css_left,top:css_top},ani_speed,function(){
					if(loop>1) {
						loop= loop-1;
						flag = setInterval(AutoScroll,parseInt(config.pause));
					} else if(isInfinite) {
						$(config.inner).children('div').css({left:origin_css_left,top:origin_css_top});
						loop = max_loop;
						flag = setInterval(AutoScroll,parseInt(config.pause));
					} else {
						isRun = false;
					}
				});
			}
		}
	},

	ScrollUp:function(settings) {
		var config = $.extend({
			speed:500,
			stepWidth:0,
			obj:null,
			callback:function(){}
		},settings);

		if(!config.obj)
			return;

		var obj;
		if(typeof config.obj == 'string')
			obj = $(config.obj);
		else if( typeof config.obj =='object' && config.obj instanceof jQuery)
			obj = config.obj;
		else
			return;

		css_top = parseInt(obj.css('top'));
		var zoom = $('body').css('zoom');
		css_top = css_top/zoom;
		var ani_speed = parseInt(config.speed);
		obj.animate({top:css_top-config.stepWidth},ani_speed,config.callback);	
	},

	ScrollDown:function(settings) {
		var config = $.extend({
			speed:500,
			stepWidth:0,
			obj:null,
			callback:function(){}
		},settings);

		if(!config.obj)
			return;

		var obj;
		if(typeof config.obj == 'string')
			obj = $(config.obj);
		else if( typeof config.obj =='object' && config.obj instanceof jQuery)
			obj = config.obj;
		else
			return;
		if(obj.length == 0)
			vlog('==weblog==',"Scroll Null Obj");
		
		css_top = parseInt(obj.css('top'));
		var zoom = $('body').css('zoom');
		css_top = css_top/zoom;
		var ani_speed = parseInt(config.speed);
		obj.animate({top:css_top+config.stepWidth},ani_speed,config.callback);	
	},

	ScrollLeft:function(settings) {
		var config = $.extend({
			speed:500,
			stepWidth:0,
			obj:null,
			callback:function(){}
		},settings);

		if(!config.obj)
			return;

		var obj;
		if(typeof config.obj == 'string')
			obj = $(config.obj);
		else if( typeof config.obj =='object' && config.obj instanceof jQuery)
			obj = config.obj;
		else
			return;

		css_left = parseInt(obj.css('left'));
		var zoom = $('body').css('zoom');
		css_left = css_left/zoom;
		var ani_speed = parseInt(config.speed);
		obj.animate({left:css_left-config.stepWidth},ani_speed,config.callback);	
	},

	ScrollRight:function(settings) {
		var config = $.extend({
			speed:500,
			stepWidth:0,
			obj:null,
			callback:function(){}
		},settings);

		if(!config.obj)
			return;

		var obj;
		if(typeof config.obj == 'string')
			obj = $(config.obj);
		else if( typeof config.obj =='object' && config.obj instanceof jQuery)
			obj = config.obj;
		else
			return;

		css_left = parseInt(obj.css('left'));
		var zoom = $('body').css('zoom');
		css_left = css_left/zoom;
		var ani_speed = parseInt(config.speed);
		obj.animate({left:css_left+config.stepWidth},ani_speed,config.callback);	
	}
});

