var JSON_TYPE_GAMELIST = 0;
var JSON_TYPE_INDEXGAMELIST = 1;
var JSON_TYPE_GAMEBANNERINFO = 2;
var JSON_TYPE_USERINFO = 3;
var JSON_TYPE_FAVORITELIST = 4;
var JSON_TYPE_FILTERLIST = 5;

var UDISK_TYPE_USB = 0;
var UDISK_TYPE_SDCARD = 1;
var UDISK_TYPE_BOTH = 2;
var UDISK_TYPE_DEFAULT = -1;

(function(obj){
	function CPlatform(){
		/** functional **/
		this.output= function(tag,str) {
			console.log(tag+":"+str);
			return ;
		};

		this.startGame = function(game) {
			this.process = 0;
			console.log(game+" is starting!!!!!!!!!");
			return ;
		};

		this.installGame = function(game) {
			console.log(game+" is installing!!!!!!!");
			return ;
		};

		this.updateGame = function(game) {
			console.log(game+" is updating!!!!!!!!!");
			return ;
		}

		this.downloadGame = function(game) {
			//this.mGameStatus = 0;
			console.log(game+" is downloading!!!!!!");
			return ;
		};

		this.uninstallGame = function(game) {
			console.log(game+" is uninstalling!!!!!!");
			return ;
		};

		this.cancelDownloadGame = function(game) {
			this.mGameStatus = 0;
			this.process = 0;
			console.log(game+" is canceling download!");
			return ;
		};

		this.cancelUpdateGame = function(game) {
			console.log(game+" is canceling updating!");
			return ;
		}

		this.process = 0;
		this.getDownloadProcess = function(game) {
			if(this.process <=100) {
				this.process = this.process+5;
			} else {
				this.mGameStatus = 2;
			}

			return this.process;
		};

		this.getUpdateDownloadProcess = function(game) {
			return this.process;
		};

		this.getGameDownloadCount = function (game) {
			return 100;
		};

		this.mGameList =[ 
{game:"com.trans.pvz",appname:"com.trans.pvz",versioncode:"TM.123456782dfsdfsdf.dfsfs",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:0},

{game:"com.trans.mermaid",appname:"com.trans.mermaid",versioncode:"TM.123456782dfsdfsdf.dfsfs",size:"10m",packagename:"mermaid",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",maylike:["com.trans.mermaid","com.trans.mermaid","com.trans.pingpang2","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:0,support_remote:[0,1,2],time:"2012-12-12 00:12:12"},

{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1,support_remote:[]},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
/**{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},**/
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"益智",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.beatpenguin","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.mermaid","com.trans.mermaid","com.trans.mermaid","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1},
{game:"com.trans.pingpang2",appname:"com.trans.pingpang2",version:"v1.0",size:"10m",packagename:"pingpang2",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"penguin.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.mermaid","com.trans.mermaid","com.trans.mermaid","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"],remote_control:1,need_buyusb:1}
];
		// contain may interest list
		this.mBannerInfo = [{"texture":"banner_big.png","link":"com.trans.pingpang2"},{"texture":"banner_small.png","link":"com.trans.stbxyy2"}];
		this.mIndexGameList = [
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"益智",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]},
{game:"com.trans.beatpenguin",appname:"com.trans.beatpenguin",version:"v1.0",size:"10m",packagename:"penguin",company:"Transmension",introname:"快乐豆豆",platform:"android",updatetime:"1330403269",texture:"icon_mermaid.png",texture_m:"pic_new_01_free.png",downloadcount:123,comment:"经过一天的辛勤工作，享受一下痛打企鹅的乐趣.跳跃的企鹅被飞舞的雪球打中，正入靶心。吃饭，睡觉，打豆豆就是这么快乐。只要控制好节奏，在企鹅飞跃起的一瞬间，用力将雪球抛出即可。",type:"体感",size:"10m",recommend:["com.trans.pingpang2","com.trans.tennis","com.trans.stbxyy","com.trans.mermaid"],texture_intropic:["pic_mermaid_01.jpg","pic_mermaid_02.jpg","pic_mermaid_03.jpg","pic_mermaid_04.jpg"]}
		];
		this.mUserInfo;
		this.mFavoriteList = ["com.trans.beatpenguin"];
		this.mFilterList;

		/** Get Set **/
		this.getJson = function(type){
			if(type == JSON_TYPE_GAMELIST) {
				if(this.mGameList != undefined) {
					return this.mGameList;
				} else {
					this.mGameList = [];
					return this.mGameList;
				}
			} else if( type == JSON_TYPE_GAMEBANNERINFO ) {
				if(this.mBannerInfo != undefined) {
					return this.mBannerInfo;
				} else {
					this.mBannerInfo = [];
					return this.mBannerInfo;
				}
			} else if (type == JSON_TYPE_INDEXGAMELIST ) {
				if(this.mIndexGameList != undefined ) {
					return this.mIndexGameList;
				} else {
					this.mIndexGameList = [];
					return this.mIndexGameList;
				}
			} else if (type == JSON_TYPE_USERINFO ) {
				if(this.mUserInfo != undefined ) {
					return this.mUserInfo;
				} else {
					this.mUserInfo = {};
					return this.mUserInfo;
				}
			} else if (type == JSON_TYPE_FAVORITELIST ) {
				if(this.mFavoriteList != undefined ) {
					return this.mFavoriteList
				} else {
					this.mFavoriteList = [];
					return this.mFavoriteList;
				}
			} else if (type == JSON_TYPE_FILTERLIST ) {
				if(this.mFavoriteList != undefined ) {
					return this.mFilterList;
				} else {
					this.mFilterList = [];
					return this.mFilterList;
				}
			}
		};

		this.mVersion;
		this.getAndroidGameHallVersion = function() {
			if(this.mVersion != undefined) {
				return this.mVersion;
			} else {
				this.mVersion = '3.0';
				return this.mVersion;
			}
		};

		this.mWebGameHallInfo;
		this.getWebGameHallInfo = function() {
			if(this.mWebGameHallInfo != undefined) {
				return this.mWebGameHallInfo;
			} else {
				this.mWebGameHallInfo ={"packinfo": {"packtime": "2013/01/31 15:03", "gitinfo": {"gitbranch": "master_dev", "gitversion": "1d7cbc5a7badb243bced3c3afc29dbe1a35e94db"}, "theme": "skyworth", "version": "6"}, "config": {"performance": 0, "usewebui": 1, "islog": 1, "language": "zh_cn", "alwaysfavo": "0",'focusway':0}};
				return this.mWebGameHallInfo;
			}
		}

		//Status Config Should Specify in config file
		this.mGameStatus =3 ;
		this.getGameStatus = function(game) {
			return this.mGameStatus;
		};

		this.setFavorite = function (game,is_favo) {
			console.log("call setFavo");
			if(is_favo) {
				if($.inArray(game,this.mFavoriteList) >= 0) {
				} else {
					this.mFavoriteList.push(game);
				}
			} else {
				for(var item in this.mFavoriteList) {
					if(this.mFavoriteList[item] == game) {
						this.mFavoriteList.pop(item);
					}
				}
			}
			return true;
		};

		this.getSDCardStatus = function() {
			return false;
		};

		this.getInternetStatus = function() {
			return true;//
		};

		this.getPhoneRemoteStatus = function() {
			return false;
		};

		this.getRemoteStatus = function() {
			return false;
		};

		/** Store Data In Android **/
		this.setExtraValue = function(key,value) {
			vlog('==weblog==',"setExtraValue Called"+key+"|"+value);
		};

		this.getExtraInt = function(key) {
			vlog('==weblog==',"getExtraValue Called:"+key);
			var url = window.location.href;
			var number = url.split('?')[1];

			return number;
		};

		this.getExtraString = function(key) {
			vlog('==weblog==',"getExtraValue Called:"+key);
			var url = window.location.href;
			var str = url.split('?')[1];

			return str;
		};

		this.showExitDialog = function(key) {
			vlog('==weblog==',"Exit Page");
			return ;
		};
		this.exitApp =  function() {
			vlog('==weblog==',"Exit App");
			return ;
		};
		this.getJSFile = function(filename) {
			var result = "";
			$.ajax({
				url:filename,
				async:false,
				dataType:"script",
				success:function(data) {
					result = data;
				}
			});

			return result;
		};

		/** User Relate **/
		this.mDeviceID = undefined;
		this.GetDeviceID = function() {
			//var result 
			vlog('==weblog==',"GetDeviceID");
			var result = "1234567890123456";
			vlog('==weblog==',result);
			return result;
		};

		this.mSkyType = undefined;
		this.getSkytype = function() {
			vlog("==weblog==","getSkytype");
			var result="what is skytype";
			vlog("==weblog==",result);
			return result;
		}

		this.mModel = undefined;
		this.getModel = function() {
			vlog("==weblog==","getModel");
			var result="what is model";
			vlog("==weblog==",result);
			return result;
		}

		this.mMacAddr = undefined;
		this.getMacAddr = function() {
			vlog("==weblog==","getMacAddr");
			var result="iknowmacaddr";
			vlog("==weblog==",result);
			return result;
		}

		this.mUdiskType = 1;
		this.getUdiskType = function() {
			return this.mUdiskType;
		}
	}
	platform = new CPlatform();
	obj.platform = platform;
})(window);


function downloaded(game) {
	platform.mGameStatus = 1;
	vlog('==weblog==',"JSGameDowloadedCallBack:"+game);
	$$.PlatformCall(PLATFORM_CALLBACK_TYPE_DOWNLOADED,game);

}

function setgamestatus(status) {
	platform.mGameStatus = status;
}

function installed(game) {
	platform.mGameStatus = 3;
	vlog('==weblog==',game+" installed");
	$$.PlatformCall(PLATFORM_CALLBACK_TYPE_INSTALLED,game);
}

function derror(game,status) {
	platform.mGameStatus = 0;
	vlog('==weblog==',"download error:"+game+" in status:"+status);
	$$.PlatformCall(PLATFORM_CALLBACK_TYPE_DOWNLOADERROR,game,status);
}

function cin(bAvaliable) {
	vlog('==weblog==',"JSInternetStatusChangeCallback"+bAvaliable);
	$$.PlatformCall_extern(PLATFORM_CALLBACK_TYPE_UPDATEINTERNETSTATUS,bAvaliable);
}

function csdcard(bAvaliable) {
	vlog('==weblog==',"JSExternalStorageChangeCallback"+bAvaliable);
	$$.PlatformCall_extern(PLATFORM_CALLBACK_TYPE_UPDATEEXTERNALSTORAGESTATUS,bAvaliable);
	//$$.PlatformCall_extern(PLATFORM_CALLBACK_TYPE_UPDATEEXTERNALSTORAGESTATUS_GAMEPAGE,bAvaliable);
}

function gsc(game) {
	vlog('==weblog==',"JSGameStatusChangedCallback:"+game);
	$$.PlatformCall_extern(PLATFORM_CALLBACK_TYPE_UPDATEGAMESTATUS,game);
}

//page switch 
function jump2game(game) {
	if($$.CheckGameIfExist(game)) {
		window.location.href = global.file_dir+'game.html?'+game;
	}
}

function jump2index() {
	window.location.href = global.file_dir +'index.html';
}

function jump2gamelist(index) {
	window.location.href = global.file_dir+'gamelist.html?'+index;
}

function jump2user() {
	window.location.href = global.file_dir +'user.html';
}
