var init_section_index = 0;
var init_sub_index = 0;

var common_hover_frame;

function init() {
	//Config Section
	set_focus_performance(getconfig("performance"));
	set_islog(getconfig('islog'));
	set_focus_isblocking(getconfig('focusway'));

	//load language resource
	$$.AutoFillPage();   
	// init hover frame
	common_hover_frame = $("#hover_frame").click(focus_frame_onclick);
	register_hover_frame(common_hover_frame);

	init_top();

	$$.GetUserInfo(userinfo_applier);
	$$.GetVersion(version_applier);
	$$.GetSkyType(skytype_applier);

	init_moveMap(global.moveMap,page_map);
	global.focus = global.moveMap[init_section_index]
						.getFocus(init_sub_index)
						.FirstAppendFocus();
	listenKey();
}


function grabKey(e) {
	e = e || window.event;
    var keycode = e.which ? e.which : e.keyCode;
	if( keycode != KEY_RIGHT && keycode != KEY_LEFT 
		&& keycode !=KEY_UP && keycode != KEY_DOWN 
		&& keycode != KEY_ENTER && keycode != KEY_CENTRE
		&& keycode != KEY_NUM1)
		return;
	
	e.returnValue = false;// set e disable


	if(keycode == KEY_NUM1) {
		vlog('==weblog==',"Back page");
		history.go(-1);
	}

	if( keycode == KEY_ENTER || keycode == KEY_CENTRE)
		return onFocusClick(keycode,global.moveMap,global.focus);
	
	global.focus = onFocusPressMove(keycode,global.moveMap,global.focus);
}

function userboard_addmoney_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("addaccount_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}


function head_usercenter_focus(JQ_obj,type,buttontype,option,callback) {
	if(type == FOCUS_TYPE_APPEND) {
		common_hover_frame.attr('class',"").addClass("head_usercenter_focus");
	}
	default_focus(common_hover_frame,JQ_obj,type,buttontype,option,callback);
}

function userinfo_applier(json) {
	var id_tag = "#userboard_id";
	var nick_tag = "#userboard_nick";
	var money_tag = "#userboard_money";
	var head_tag = "#userboard_head";

	//var id_context = $(id_tag).dataset('prefix')+json.id;
	var id_context = json.id;
	$(id_tag).html(id_context);

	//var nick_context = $(nick_tag).dataset('prefix')+json.username;
	var nick_context = json.username;
	$(nick_tag).html(nick_context);

	//var money_context = $(money_tag).dataset('prefix')+json.money;
	var money_context = json.money;
	$(money_tag).html(money_context);

	$(head_tag).attr('src',global.user_dir+json.image);

}

function version_applier(version) {
	var version_tag = "#version_info";

	$(version_tag).html(version);

	return version;
}

function skytype_applier(skytype) {
	var skytype_tag = "#skytype_info";

	$(skytype_tag).html(skytype);

	return skytype;
}
